# RobotContainer (YAGSL-Example API)
declaration: package: frc.robot, class: RobotContainer

Package frc.robot

# Class RobotContainer

java.lang.Object
frc.robot.RobotContainer

public class RobotContainer extends Object
This class is where the bulk of the robot should be declared. Since Command-based is a "declarative" paradigm, very little robot logic should actually be handled in the `Robot` periodic methods (other than the scheduler calls). Instead, the structure of the robot (including subsystems, commands, and trigger mappings) should be declared here.

## Constructor Summary

Constructors
Constructor
Description
`RobotContainer()`
The container for the robot.

## Method Summary

Modifier and Type
Method
Description
`edu.wpi.first.wpilibj2.command.Command`
`getAutonomousCommand()`
Use this to pass the autonomous command to the main `Robot` class.
`void`
`setDriveMode()`
`void`
`setMotorBrake(boolean brake)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RobotContainer

public RobotContainer()
The container for the robot. Contains subsystems, OI devices, and commands.

## Method Details

### getAutonomousCommand

public edu.wpi.first.wpilibj2.command.Command getAutonomousCommand()
Use this to pass the autonomous command to the main `Robot` class.

Returns:
  the command to run in autonomous

### setDriveMode

public void setDriveMode()

### setMotorBrake

public void setMotorBrake(boolean brake)